/****************************************************************************/
/** lstack.cpp                                                             **/
/** ---------------------------------------------------------------------- **/
/** Demonstrates usage of TLiteStack class                                 **/
/** ---------------------------------------------------------------------- **/
/** Copyright (C) 1996-98 by OK Thinking Software, All Rights Reserved     **/
/** ---------------------------------------------------------------------- **/
/** June 16, 1998 by Oleg Kagan                                            **/
/****************************************************************************/

//============================================================================
#include <nlcompat.h>  // recommended for better compilation time
#pragma hdrstop
  
// Standard includes
//============================================================================
#include <iostream.h>

// Natlib Basics includes
//============================================================================
#include <nlstring.h>
#include <nllstack.h>

//============================================================================
USING_NATLIB_NAMESPACE;

//============================================================================
class TLiteStackTest {
public:
	int i1;
	int i2;
} /*TLiteStackTest*/;

//============================================================================
void LiteStackExample()
{
	TLiteStack Stack;
	for (int i = 0; i < 10; ++i) {
		TLiteStackTest Val = {i, 10 * i};
		Stack.Push(&Val, sizeof(Val));
	} /*for (int i)*/
	
	while (!Stack.IsEmpty()) {
		TLiteStackTest* pVal = (TLiteStackTest*)Stack.Current();
		cout << pVal->i1 << ":" << pVal->i2 << endl;
		Stack.Pop();
	} /*while*/
} /*LiteStackExample()*/