#ifndef __NATLIB_NWERROR_H__
#define __NATLIB_NWERROR_H__
/****************************************************************************/
/** nwerror.h                                                              **/
/** ---------------------------------------------------------------------- **/
/** Some usefull C++ functions for error processing under MS Win32         **/
/** ---------------------------------------------------------------------- **/
/** Copyright (C) 1996-98 by OK Thinking Software, All Rights Reserved     **/
/** ---------------------------------------------------------------------- **/
/** January 18, 1998 by Oleg Kagan                                         **/
/****************************************************************************/

//============================================================================
#ifndef WIN32
	#error nwerror.h can be used only for Microsoft Win32 applications
#endif /*!defined(WIN23)*/

// Standard includes
//============================================================================
#include <windows.h>

// Natlib Basics includes
//============================================================================
#include <nlobject.h>

//============================================================================
NATLIB_NAMESPACE_BEGIN

//============================================================================
extern bool _NATLIB_DECLSPEC_ Win32IsNT();

//============================================================================
extern TStdString _NATLIB_DECLSPEC_ Win32GetErrorExplanation(
	DWORD uError = null
) /*Win32GetErrorExplanation(DWORD = null)*/;
extern TStdString _NATLIB_DECLSPEC_ Win32GetErrorExplanationA(
	DWORD uError = null
) /*Win32GetErrorExplanationA(DWORD = null)*/;

#ifndef _NATLIB_NO_WIDE_STRINGS_
//----------------------------------------------------------------------------
extern TWideString _NATLIB_DECLSPEC_ Win32GetErrorExplanationW(
	DWORD uError = null
) /*Win32GetErrorExplanationW(DWORD = null)*/;
#endif /*!defined(_NATLIB_NO_WIDE_STRINGS_)*/

//============================================================================
NATLIB_NAMESPACE_END

#endif /*!defined(__NATLIB_NWERROR_H__)*/